# $Revision: 1.16 $, $Date: 2004/05/07 00:32:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXML-Common
Summary:	XML::LibXML::Common Perl module
Summary(cs):	Modul XML::LibXML::Common pro Perl
Summary(da):	Perlmodul XML::LibXML::Common
Summary(de):	XML::LibXML::Common Perl Modul
Summary(es):	Mdulo de Perl XML::LibXML::Common
Summary(fr):	Module Perl XML::LibXML::Common
Summary(it):	Modulo di Perl XML::LibXML::Common
Summary(ja):	XML::LibXML::Common Perl ⥸塼
Summary(ko):	XML::LibXML::Common  
Summary(nb):	Perlmodul XML::LibXML::Common
Summary(pl):	Modu Perla XML::LibXML::Common
Summary(pt):	Mdulo de Perl XML::LibXML::Common
Summary(pt_BR):	Mdulo Perl XML::LibXML::Common
Summary(ru):	  Perl XML::LibXML::Common
Summary(sv):	XML::LibXML::Common Perlmodul
Summary(uk):	  Perl XML::LibXML::Common
Summary(zh_CN):	XML::LibXML::Common Perl ģ
Name:		perl-XML-LibXML-Common
Version:	0.13
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	13b6d93f53375d15fd11922216249659
BuildRequires:	libxml2-devel >= 2.4.8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	libxml2 >= 2.4.8

%description
XML::LibXML::Common Perl module contains several constants and
functions that are shared by XML::LibXML, XML::GDOME and XML::LibXSLT
(not all done, yet).

%description -l pl
Modu Perla XML::LibXML::Common zawiera stae oraz funkcje wsplne
dla XML::LibXML, XML::GDOME i XML::LibXSLT (nie zosta on jeszcze
skoczony).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/XML/LibXML
%{perl_vendorarch}/XML/LibXML/*.pm
%dir %{perl_vendorarch}/auto/XML/LibXML
%dir %{perl_vendorarch}/auto/XML/LibXML/Common
%{perl_vendorarch}/auto/XML/LibXML/Common/Common.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXML/Common/Common.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-LibXML-Common.spec,v $
Revision 1.16  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.15  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 06:35:05  ankry
- license fix, cosmetics

Revision 1.13  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.12  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2003/09/18 13:22:57  adamg
- updated to 0.13

Revision 1.10  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:39:13  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/20 12:37:58  mis
- autoupdated to 0.12

Revision 1.2  2002/10/02 11:56:44  ankry
- descriptions

Revision 1.1  2002/10/02 11:49:05  ankry
- new, required by perl-XML-LibXML

